package de.hft.stuttgart.citydoctor2.gui.tree;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;

import de.hft.stuttgart.citydoctor2.datastructure.Vertex;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class VertexNode extends Renderable {
	
	private static final DecimalFormat nf;
	
	static {
		DecimalFormatSymbols dfs = DecimalFormatSymbols.getInstance();
		dfs.setDecimalSeparator('.');
		nf = new DecimalFormat("#.########", dfs);
	}
	
	private static final String SEPERATOR = ", ";
	private final Vertex v;
	private String text;
	
	public VertexNode(Vertex v) {
		this.v = v;
	}

	@Override
	public void refreshTextColor() {
		// not used
	}

	@Override
	public String getText() {
		if (text == null) {
            text = "Vertex [" + nf.format(v.getX()) + SEPERATOR +
                    nf.format(v.getY()) + SEPERATOR + nf.format(v.getZ()) + "]";
		}
		return text;
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.highlight(v);
	}

}
